Uploaded image for project: 'TrueNAS'
  1. TrueNAS
  2. NAS-105587

Upgraded to 11.3-U1 now getting error on jails

    XMLWordPrintable

    Details

      Description

      I have never used jails on this system before. Just file sharing right now. I upgraded from 11.2 to 11.3 and wanted to look at using some jails. After upgrading I went into the pool and upgraded it. Then when going to the jails screen I get the following error message:

       

       [EFAULT] Error occurred getting activated pool: Please set a mountpoint on Volume1/iocage

      Error: Traceback (most recent call last):
        File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/jail.py", line 897, in get_activated_pool
          pool = ioc.IOCage(skip_jails=True, reset_cache=True).get('', pool=True)
        File "/usr/local/lib/python3.7/site-packages/iocage_lib/iocage.py", line 95, in __init__
          self.pool = PoolAndDataset().get_pool()
        File "/usr/local/lib/python3.7/site-packages/iocage_lib/iocage.py", line 66, in get_pool
          return ioc_json.IOCJson().json_get_value("pool")
        File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_json.py", line 1315, in __init__
          super().__init__(location, checking_datasets, silent, callback)
        File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_json.py", line 428, in __init__
          self.pool, self.iocroot = self.get_pool_and_iocroot()
        File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_json.py", line 571, in get_pool_and_iocroot
          return pool, get_iocroot()
        File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_json.py", line 569, in get_iocroot
          silent=self.silent)
        File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_common.py", line 102, in logit
          callback(content, exception)
        File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_common.py", line 75, in callback
          raise callback_exception(message)
      RuntimeError: Please set a mountpoint on Volume1/iocage

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
        File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 130, in call_method
          io_thread=False)
        File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1091, in _call
          return await run_method(methodobj, *args)
        File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1015, in _run_in_conn_threadpool
          return await self.run_in_executor(self.__ws_threadpool, method, *args, **kwargs)
        File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1003, in run_in_executor
          return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
        File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
          result = self.fn(*self.args, **self.kwargs)
        File "/usr/local/lib/python3.7/site-packages/middlewared/schema.py", line 965, in nf
          return f(*args, **kwargs)
        File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/jail.py", line 899, in get_activated_pool
          raise CallError(f'Error occurred getting activated pool: {e}')
      middlewared.service_exception.CallError: [EFAULT] Error occurred getting activated pool: Please set a mountpoint on Volume1/iocage

       

       

        Attachments

          Attachments

            JEditor

              Activity

                People

                Assignee:
                releng Triage Team
                Reporter:
                joshopkins Joshua Hopkins
                Watchers:
                Joshua Hopkins, Waqar Ahmed, William Grzybowski
                Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved: